Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class ISortedColumns.DeletionInfo

    java.lang.Object
      org.apache.cassandra.db.ISortedColumns.DeletionInfo

Enclosing interface:
  ISortedColumns

    public static class ISortedColumns.DeletionInfo

extends java.lang.Object

Field Summary
`int` | `localDeletionTime`
`long` | `markedForDeleteAt`

Constructor Summary
`ISortedColumns.DeletionInfo()`
`ISortedColumns.DeletionInfo(long markedForDeleteAt, int localDeletionTime)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### markedForDeleteAt

    public final long markedForDeleteAt

### localDeletionTime

    public final int localDeletionTime

Constructor Detail

### ISortedColumns.DeletionInfo

    public ISortedColumns.DeletionInfo()

### ISortedColumns.DeletionInfo

    public ISortedColumns.DeletionInfo(long markedForDeleteAt,
                                       int localDeletionTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation